// Copyright (C) 2010-2011 - INRIA - Michael Baudin
//
// This file must be used under the terms of the GNU Lesser General Public License license :
// http://www.gnu.org/copyleft/lesser.html

// Updates the .xml files by deleting existing files and 
// creating them again from the .sci with help_from_sci.

//
cwd = get_absolute_file_path("update_help.sce");
mprintf("Working dir = %s\n",cwd);
//
mprintf("Updating macros\n");
helpdir = fullfile(cwd);
mprintf("Generating help in %s...\n",helpdir);
funmat = [
  "opustc_couplex"
  "opustc_couplexstartup"
  "opustc_getpath"
  ];
macrosdir = fullfile(cwd,"..","..","macros");
demosdir = [];
modulename = "";
helptbx_helpupdate ( funmat , helpdir , macrosdir , demosdir , modulename , %t );

mprintf("Updating pseudomacros\n");
helpdir = fullfile(cwd);
mprintf("Generating help in %s...\n",helpdir);
funmat = [
  "opustc_couplexrun"
  ];
macrosdir = fullfile(cwd,"pseudomacros");
demosdir = [];
modulename = "";
helptbx_helpupdate ( funmat , helpdir , macrosdir , demosdir , modulename , %t );

