// ====================================================================
// Copyright (C) 2008-2009 - INRIA - Michael Baudin
// Copyright (C) 2009 - Digiteo - Michael Baudin
// This file is released into the public domain
// ====================================================================


gateway_path = get_absolute_file_path("builder_gateway_cpp.sce");

libname = "opustcgateway";
namelist = [
  "opustc_couplexrun" "sci_opustc_couplexrun"
];
files = [
  "opustc_gwsupport.cpp"
  "sci_opustc_couplexrun.cpp"
  ];
ldflags = ""

if MSDOS then
  include2 = "../../src/cpp";
  include3 = SCI+"/modules/output_stream/includes";
  cflags = "-DWIN32 -I"""+include2+""" -I"""+include3+"""";
else
  include1 = gateway_path;
  include2 = gateway_path+"../../src/cpp";
  include3 = SCI+"/../../include/scilab/localization";
  include4 = SCI+"/../../include/scilab/output_stream";
  include5 = SCI+"/../../include/scilab/core";
  cflags = "-I"""+include1+""" -I"""+include2+""" -I"""+include3+...
    """ -I"""+include4+""" -I"""+include5+"""";
end
// Caution : the order matters !
libs = [
  "../../src/cpp/libopustc"
];

tbx_build_gateway(libname, namelist, files, gateway_path, libs, ldflags, cflags);

clear tbx_build_gateway;

