// Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
// Copyright (C) 2008 - INRIA   - Michael Baudin
// Copyright (C) 2009 - DIGITEO - Pierre MARECHAL
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt


cpp_dir   = get_absolute_file_path("builder_cpp.sce");
src_path  = "c";
linknames = "opustc";
files = [
  "opuscouplex.cpp"
  ];

ldflags = "";

if MSDOS then
  cflags   = "-DWIN32 -DLIBOPUSTC_EXPORTS";
  libs     = [];
else
  include =  "-I """ + cpp_dir + """ ";
  cflags   = strcat(include);
  libs     = [];
end

tbx_build_src(linknames, files, src_path, cpp_dir, libs, ldflags, cflags);

clear cpp_dir src_path linknames files ldflags tbx_build_src;

